@echo off

set MC=unset
if "%PROCESSOR%" == "INTEL_486" set MC=i486_nt
if "%PROCESSOR_ARCHITECTURE%" == "AMD64" set MC=i486_nt
if "%PROCESSOR_ARCHITECTURE%" == "x86" set MC=i486_nt
if not "%MC%" == "unset" goto mc_done
echo ERROR Cannot detect what machine type you have.
echo Please make one of the following settings:
echo.
echo set PROCESSOR=INTEL_486     - For Windows NT Intel based machines.
echo.
echo set PROCESSOR=INTEL_64      - For Windows Intel Itanium based machines.
echo.
exit
:mc_done

set PRO_MACHINE_TYPE=%MC%

if "%PROOBJ_START_DIRECTORY%" == "" set PRO_DIRECTORY=
if NOT "%PRO_DIRECTORY%" == "" "%PRO_DIRECTORY%\bin\%MC%_ptc_setvars" %0 "proilinkrelease_3.4" bat
if "%PRO_DIRECTORY%" == "" %MC%_ptc_setvars %0 "proilinkrelease_3.4" bat
call ptc_setvars.bat
del  ptc_setvars.bat

set start_cmd=start ""

set PRO_DIRECTORY=%PRODIR%
if NOT "%PTCPATH%" == "" goto ptcpathset

set path=%PRO_DIRECTORY%\bin;%path%

set PTCPATH=true
:ptcpathset


REM ptc-cmdtype: ilink

set INTRALINK_DIR=%PRO_DIRECTORY%

if NOT "%PDM_LDB_PATH%" == "" goto pdmldbpathset
  if "%HOMEDRIVE%" == "" goto pdmldbpathset
    if "%HOMEPATH%" == "" goto pdmldbpathset
      set PDM_LDB_PATH=%HOMEDRIVE%%HOMEPATH%
:pdmldbpathset

set intralinkparams=""
:aloop
if "%1" == "" goto bkloop
if NOT "%1" == "--" goto doloop
  shift
  set intralinkparams=%1 %2 %3 %4 %5 %6 %7 %8 %9
:doloop
  shift
  goto aloop
:bkloop

set logfile=".proi.log"
if [%E2%]==[] set E2=0
if [%E1%]==[] set E1=0
if [%E0%]==[] set E0=0
set E2=0
set E1=0
set E0=0
:bloop
:E0
if %E0%==9 goto E1
if %E0%==8 set E0=9
if %E0%==7 set E0=8
if %E0%==6 set E0=7
if %E0%==5 set E0=6
if %E0%==4 set E0=5
if %E0%==3 set E0=4
if %E0%==2 set E0=3
if %E0%==1 set E0=2
if %E0%==0 set E0=1
goto edone
:E1
set E0=0
if %E1%==9 goto E2
if %E1%==8 set E1=9
if %E1%==7 set E1=8
if %E1%==6 set E1=7
if %E1%==5 set E1=6
if %E1%==4 set E1=5
if %E1%==3 set E1=4
if %E1%==2 set E1=3
if %E1%==1 set E1=2
if %E1%==0 set E1=1
goto edone
:E2
set E1=0
if %E2%==9 set E2=0
if %E2%==8 set E2=9
if %E2%==7 set E2=8
if %E2%==6 set E2=7
if %E2%==5 set E2=6
if %E2%==4 set E2=5
if %E2%==3 set E2=4
if %E2%==2 set E2=3
if %E2%==1 set E2=2
if %E2%==0 set E2=1
REM goto E0
:edone
if %E2%==0 goto et1
set count=%E2%%E1%%E0%
goto et
:et1
if %E1%==0 goto et0
set count=%E1%%E0%
goto et
:et0
set count=%E0%
:et
set logfile=".proi.log.%count%"
if EXIST "%logfile%" goto d2loop
goto bzloop
:d2loop
goto bloop
:bzloop

set PTC_JRE=%prodir%\%mc%\jre
set JAVA_HOME=%prodir%\%mc%\jre

set path=%PRO_DIRECTORY%\%mc%\lib;%PRO_DIRECTORY%\%mc%\obj;%path%

set PROE_DIR=C:\cad_apps\ptc\proeWildfire3.0
IF EXIST C:\cad_apps\ptc\proeWildfire4.0 set PROE_DIR=C:\cad_apps\ptc\proeWildfire4.0
set PDM_IMPEX_PATH=%PROE_DIR%\bin\mdimpex.bat
set PDM_MDIMPEX_PATH=%PDM_IMPEX_PATH% -connect apdmpi_dll.dll

set proe_mc=%mc%
if EXIST %PROE_DIR%\%proe_mc%\obj\loadinpro.exe goto fbskp
set proe_mc=x86e_win64
if EXIST %PROE_DIR%\%proe_mc%\obj\loadinpro.exe goto fbskp
set proe_mc=i486_nt
:fbskp

set PDM_LOADINPRO_PATH=%PROE_DIR%\%proe_mc%\obj\loadinpro.exe

set PROE_START=proe1.bat
set PROE_STARTUP_EXE=__PROE_STARTUP_EXE__
set PROE_STARTUP_PSF=__PROE_STARTUP_PSF__
if "%PROE_DIR%" == "" goto prd1
  if "%PROE_DIR%" == "__PROE_DIR__" goto prd2
    set pes=%PROE_START%
    set PROE_START=%PROE_DIR%\bin\%pes%
    goto prd1
:prd2
:prd1
if "%PROE_START%" == "" goto pastps
set PDM_PROE=%PROE_START%
set PDM_PROE_PATH=%PDM_PROE%
:pastps


if "%PTCNMSPORT%" == "" set PTCNMSPORT=1239
"%prodir%\%mc%\nms\nmsq.exe" -quiet -ping
if "%NMSD_TIMEOUT%" == "" set NMSD_TIMEOUT=300
if ERRORLEVEL 1 %start_cmd% /min "%PRO_DIRECTORY%\%MC%\nms\nmsd.exe" -noservice -timeout %NMSD_TIMEOUT%


set PDM_ORA_APPL=intralink
set PDM_ORACLE_SERVER=intralink
set TNS_ADMIN=%prodir%

set ORACLE_HOME=%prodir%\%mc%\obj\ORACLE10203
set EPC_DISABLED=TRUE
set path=%ORACLE_HOME%\bin;%path%

if NOT "%PTC_D_LICENSE_FILE%" == "" set PTC_D_LICENSE_FILE=7788@origin;%PTC_D_LICENSE_FILE%
if "%PTC_D_LICENSE_FILE%" == "" set PTC_D_LICENSE_FILE=7788@origin
set ILINK_CLIENT_FEATURE_NAME=ILINK_CLIENT_19508 ILINK_CLIENT_License ()

if "%PROE_DIR%" == "" goto pimsg
set PRO_COMM_MSG_EXE=%PROE_DIR%\%proe_mc%\obj\pro_comm_msg
goto pstmsg
:pimsg
set PRO_COMM_MSG_EXE=%prodir%\%mc%\obj\pro_comm_msg
:pstmsg

set NAME_SERVICE_EXE=%prodir%\%mc%\obj\name_service

if EXIST "%prodir%\%mc%\obj\pdm_edit_copy.exe" set PDM_ED_CP_PATH=%prodir%\%mc%\obj\pdm_edit_copy.exe

if EXIST "%prodir%\install\nt\docmgr_loc.bat" call "%prodir%\install\nt\docmgr_loc.bat"

if NOT "%PRO_TEMPLATES%" == "" goto pstemp
set PRO_TEMPLATES=%prodir%\pdm\templates
:pstemp
set EPC_DISABLE=TRUE

if EXIST "%prodir%\rsexplorer.ini" set RSDB_INI_FILE=%prodir%\rsexplorer.ini

if exist "%PRO_DIRECTORY%\ptc_startup.bat" call "%PRO_DIRECTORY%\ptc_startup.bat"
if exist "%HOMEDRIVE%\%HOMEPATH%\ptc_startup.bat" call "%HOMEDRIVE%\%HOMEPATH%\ptc_startup.bat"
if exist ".\ptc_startup.bat" call ".\ptc_startup.bat"

IF EXIST C:\Windows\SysWOW64 start /B %prodir%\%mc%\jre\bin\javaw -Dswing.useSystemFontSettings=false -Xmx256m -Xss8m -Dsun.java2d.noddraw=true -jar %PRO_DIRECTORY%\java\lib\Intralink.jar -l %luknfeel% %intralinkparams% >> "%logfile%"
IF NOT EXIST C:\Windows\SysWOW64 start /B %prodir%\%mc%\jre\bin\javaw -Xmx256m -Xss8m -jar %PRO_DIRECTORY%\java\lib\Intralink.jar -l %luknfeel% %intralinkparams% >> "%logfile%"

:ptc_end
exit /B %ERRORLEVEL%
